Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | List of all members
cutlass::gemm::HgemmSwizzle< GlobalIterator_ > Struct Template Reference

`#include <hgemm_swizzle.h>`

## Public Types
typedef GlobalIterator_ | GlobalIterator
| The global iterator. More...
typedef GlobalIterator::Fragment | Fragment
| The source fragment. More...
typedef GlobalIterator::FragmentShape | FragmentShape
| The shape of the source fragment. More...
typedef Fragment | InputFragment
| The input fragment. More...
typedef Fragment | OutputFragment
| The output fragment. More...

## Public Member Functions
CUTLASS_DEVICE | HgemmSwizzle ()
| The src/dst must be half fragments. More...
CUTLASS_DEVICE void | transform (Fragment const &src, Fragment &dst)
| Transform a fragment. More...

## Member Typedef Documentation

## ◆ Fragment

template<typename GlobalIterator_ >

typedef GlobalIterator::Fragment cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::Fragment

## ◆ FragmentShape

template<typename GlobalIterator_ >

typedef GlobalIterator::FragmentShape cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::FragmentShape

## ◆ GlobalIterator

template<typename GlobalIterator_ >

typedef GlobalIterator_ cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::GlobalIterator

## ◆ InputFragment

template<typename GlobalIterator_ >

typedef Fragment cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::InputFragment

## ◆ OutputFragment

template<typename GlobalIterator_ >

typedef Fragment cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::OutputFragment

## Constructor & Destructor Documentation

## ◆ HgemmSwizzle()

template<typename GlobalIterator_ >

CUTLASS_DEVICE cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::HgemmSwizzle | ( |  | ) |
| inline

The number of elements must be a multiple of 2. Ctor.

## Member Function Documentation

## ◆ transform()

template<typename GlobalIterator_ >

CUTLASS_DEVICE void cutlass::gemm::HgemmSwizzle< GlobalIterator_ >::transform | ( | Fragment const & | src,
|  | Fragment & | dst
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- hgemm_swizzle.h